Skip to main content
GET
Get the parsed content

Authorizations

Authorization
string
header
required

API key of your project, starting with tlr_api_.

Path Parameters

id
string<uuid>
required

Talario's ID of the received message.

Query Parameters

recipient
string

Envelope recipient to show the content for, compared without regard to ASCII case. Required if the message has several recipients.

Maximum string length: 255

Response

The parsed content.

schema_version
enum<integer>
required
Available options:
2
id
string<uuid>
required
domain
string
required
received_at
string<date-time>
required
expires_at
string<date-time>
required
sender
string
required

SMTP envelope sender; empty for a null sender.

from
string
required
recipient
string
required
to
string
required
cc
string
required
reply-to
string
required
subject
string
required
message-id
string
required
in-reply-to
string
required
references
string[]
required
body-plain
string
required
body-html
string
required

Not sanitized. Sanitize before display.

message-headers
tuple[]
required
attachment-count
integer
required
attachments
object[]
required
content-id-map
object
required
parse_status
enum<string>
required
Available options:
parsed,
failed
parse_warnings
enum<string>[]
required
Available options:
unknown_charset,
decoding_replaced,
duplicate_content_id,
mime_invalid,
mime_depth_exceeded,
mime_parts_exceeded,
attachments_exceeded,
parsed_content_too_large,
parser_timeout
content_omitted
enum<boolean>
required
Available options:
false
download
object
required